--AH:ScriptId=6f5962b0-7108-46f1-af13-433a55838f56;2918
ALTER TABLE [Privileges]
	ADD [UserDirectory_Id] INT NULL

ALTER TABLE [Privileges]
	DROP CONSTRAINT [UQ__Privileges]

GO

DECLARE @MultiDomain_Enabled NVARCHAR(MAX)
SET @MultiDomain_Enabled = (SELECT [Value_Text]
                              FROM [Configuration]
							 WHERE [Scope_Name] = 'WebApp'
							   AND [Key_Name] = 'LDAPMultipleDomainEnabled')

UPDATE [Privileges]
   SET [UserDirectory_Id] = CASE
						         WHEN [BuiltIn_Directory_Indicator] = 'Y' THEN 1
								 WHEN @MultiDomain_Enabled = 'True' THEN 3
								 ELSE 2
                            END

ALTER TABLE [Privileges]
	DROP COLUMN [BuiltIn_Directory_Indicator]

ALTER TABLE [Privileges]
	ALTER COLUMN [UserDirectory_Id] INT NOT NULL

ALTER TABLE [Privileges]
	ADD CONSTRAINT [FK__Privileges__UserDirectories]
		FOREIGN KEY ([UserDirectory_Id])
		REFERENCES [UserDirectories] ([UserDirectory_Id])

ALTER TABLE [Privileges]
	ADD CONSTRAINT [UQ__Privileges]
		UNIQUE ([UserDirectory_Id], [Principal_Name], [PrincipalType_Code], [Role_Id], [PrivilegeType_Code], [Feed_Id])
