--AH:ScriptId=C821EB1F-C3EF-4C96-A0BD-A768E9AD63D8

--rename null connector names.
UPDATE [Connectors]
SET [Connector_Name] = [Connector_Url] WHERE [Connector_Name] is null
GO

--rename duplicates by prepending with id.
UPDATE [Connectors]
SET [Connector_Name] =  '(' + CAST(Connector_Id AS NVARCHAR(5)) + ') ' + [Connector_Name]
WHERE EXISTS 
	(SELECT * FROM [Connectors] c1 
		GROUP BY [FeedType_Name], [Connector_Name]
		HAVING COUNT(*) > 1 
		AND [Connectors].[Connector_Name] = c1.[Connector_Name] 
		AND [Connectors].[FeedType_Name] = c1.[FeedType_Name] )
GO


ALTER TABLE [Connectors]
ALTER COLUMN [Connector_Name] NVARCHAR(100) NOT NULL
GO

ALTER TABLE [Connectors] ADD CONSTRAINT [UC_Connector_Name] UNIQUE
(
	[FeedType_Name] ASC,
	[Connector_Name] ASC
)
GO