--AH:ScriptId=0764B9F4-95C6-4ABF-87A6-911813E7B04D

CREATE TABLE [ExternalUsers]
(
	[UserDirectory_Id] INT NOT NULL CONSTRAINT [FK__ExternalUsers__UserDirectories] FOREIGN KEY
				REFERENCES [UserDirectories] ([UserDirectory_Id])
				ON DELETE CASCADE,

	[ExternalUser_Name] NVARCHAR(200) NOT NULL,
	[ExternalUser_Display_Name] NVARCHAR(200) NULL,
	[ExternalUser_Email_Address] NVARCHAR(200) NULL,

	CONSTRAINT [PK__ExternalUsers] PRIMARY KEY ([UserDirectory_Id], [ExternalUser_Name])
)
GO

CREATE TABLE [ExternalGroups]
(
	[UserDirectory_Id] INT NOT NULL CONSTRAINT [FK__ExternalGroups__UserDirectories] FOREIGN KEY
				REFERENCES [UserDirectories] ([UserDirectory_Id])
				ON DELETE CASCADE,

	[ExternalGroup_Name] NVARCHAR(200) NOT NULL,
	[ExternalGroup_Display_Name] NVARCHAR(200) NULL,

	CONSTRAINT [PK__ExternalGroups] PRIMARY KEY ([UserDirectory_Id], [ExternalGroup_Name])
)
GO

CREATE TABLE [ExternalUserGroups]
(
	[UserDirectory_Id] INT NOT NULL,
	[ExternalUser_Name] NVARCHAR(200) NOT NULL,	
	[ExternalGroup_Name] NVARCHAR(200) NOT NULL,

	CONSTRAINT [FK__ExternalUserGroups__ExternalUsers] FOREIGN KEY ([UserDirectory_Id], [ExternalUser_Name]) 
		REFERENCES [ExternalUsers] ([UserDirectory_Id], [ExternalUser_Name])
		ON DELETE CASCADE,

	CONSTRAINT [PK__ExternalUserGroups] PRIMARY KEY ([UserDirectory_Id], [ExternalUser_Name], [ExternalGroup_Name])
)
GO
