EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_FailRunningExecutions',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Marks all plans which are currently executing as completed and failed.'
GO


IF OBJECT_ID('[Executions_FailRunningExecutions]') IS NOT NULL DROP PROCEDURE [Executions_FailRunningExecutions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_FailRunningExecutions]
AS
BEGIN

SET NOCOUNT ON

	UPDATE [Executions]
	   SET [ExecutionRunState_Code] = 'C',
	       [ExecutionStatus_Code] = 'E',
		   [End_Date] = GETUTCDATE()
	 WHERE [ExecutionRunState_Code] = 'X'


END
GO

GRANT EXECUTE ON [Executions_FailRunningExecutions] TO [ProGetUser_Role]