EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'MavenArtifacts_GetArtifactFiles',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'MavenArtifactFiles_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the files associated with a Maven artifact.'
GO

IF OBJECT_ID('[MavenArtifacts_GetArtifactFiles]') IS NOT NULL DROP PROCEDURE [MavenArtifacts_GetArtifactFiles]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [MavenArtifacts_GetArtifactFiles]
(
	@Feed_Id INT,
	@GroupId_Text NVARCHAR(200),
	@ArtifactId_Text NVARCHAR(100),
	@Version_Text NVARCHAR(50),
	@File_Type NVARCHAR(50) = NULL,
	@FileName_Text NVARCHAR(100) = NULL
)
AS
BEGIN

SET NOCOUNT ON
SET QUOTED_IDENTIFIER ON

	SELECT *
	  FROM [MavenArtifactFiles_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@GroupId_Text IS NULL OR [GroupId_Text] = @GroupId_Text)
	   AND (@ArtifactId_Text IS NULL OR [ArtifactId_Text] = @ArtifactId_Text)
	   AND (@Version_Text IS NULL OR [Version_Text] = @Version_Text)
	   AND (@File_Type IS NULL OR [File_Type] = @File_Type)
	   AND ((@File_Type IS NULL AND @FileName_Text IS NULL) OR [FileName_Text] = COALESCE(@FileName_Text, @ArtifactId_Text + '-' + @Version_Text))

END
GO

GRANT EXECUTE ON [MavenArtifacts_GetArtifactFiles] TO [ProGetUser_Role]